petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexRefineSimplexToTensor

Uniformly refines simplicial cells into tensor product cells. 3 quadrilaterals per triangle in 2D and 4 hexahedra per tetrahedron in 3D.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexRefineSimplexToTensor(DM dm, DM *dmRefined)

Collective

### Input Parameters

dm -The DMPlex object

### Output Parameters

dmRefined -The refined DMPlex object

Note: Returns NULL if the mesh is already a tensor product mesh.

### See Also

DMPlexCreate(), DMPlexSetRefinementUniform()

### Level

intermediate

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages